(function($) {

    'use-strict';

    //Preloader
    $(window).on('load', function() {
        $("#preloader-wrap").fadeOut();
    });

    // Mobile Menu Js
    $('.db-mobile-trigger').on('click', function() {
        $('body').toggleClass('db-mobile-open');
        $(".db-menu-wrapper .nav-item").each(function(i) {
            $(this).delay(100 * i).fadeIn(500);
        });
    });

    $('.db-close-nav').on('click', function() {
        $('body').removeClass('db-mobile-open');
    });

    // Masonry Js
    $('.grid').masonry({
        columnWidth: '.reference',
        itemSelector: '.grid-item',
        percentPosition: true
    });


    // Popup Js
    $('.has-pop').on('click', function() {
        $('body').toggleClass('popup-show');
        var bgcolor = $(this).css("background-color");
        var color = ($(this).find(".db-box-heading").css("color") != "" || $(this).find(".db-box-heading").css("color") != undefined) ? $(this).find(".db-box-heading").css("color") : '#fff';
        $(".db-popup-inner").css({
            'background-color': bgcolor,
            'color': color,
        });
    });

    $('.close-pop, .db-popup').on('click', function() {
        $('body').removeClass('popup-show');
    });
    $('.db-popup-inner').click(function(e) {
        e.stopPropagation();
    });


    // Perfect Scrollbar Js
    $(".pop-scroll").each(function() {
        const ps = new PerfectScrollbar($(this)[0]);
    });

    /* Prevent Popper from using its own X-placement for placing Dropdowns */
    Popper.Defaults.modifiers.computeStyle.gpuAcceleration = false;

    //Scroll events
    $(window).on('scroll', function() {

        // Sticky Header
        var navbar = $(".can-sticky");
        var sticky = $(".can-sticky .header-container").outerHeight();

        if (window.pageYOffset >= sticky) {
            $(navbar).addClass("sticky")
        } else {
            $(navbar).removeClass("sticky");
        }

        $("body:not(.home-banner) .header-container-wrapper.sticky").css("min-height", $(".header-container").outerHeight());

        //Progress Bar
        var winScroll = document.body.scrollTop || document.documentElement.scrollTop;
        var height = document.documentElement.scrollHeight - document.documentElement.clientHeight;
        var scrolled = (winScroll / height) * 100;
        document.getElementById("scrollProgress").style.width = scrolled + "%";

    });

    // Box Carousel Items with no navigation
    $('.has-slider-raw').slick({
        dots: false,
        arrows: false,
        infinite: true,
        speed: 300,
        slidesToShow: 1,
    });

    // Box Carousel Items with all navigation
    $('.has-all').slick({
        dots: true,
        arrows: true,
        infinite: true,
        speed: 300,
        slidesToShow: 1,
        adaptiveHeight: true,
        prevArrow: '<i class="fa fa-chevron-left db-prev"></i>',
        nextArrow: '<i class="fa fa-chevron-right db-next"></i>'
    });

    // Box Carousel Items with arrows only
    $('.has-arrows').slick({
        dots: false,
        arrows: true,
        infinite: true,
        speed: 300,
        slidesToShow: 1,
        adaptiveHeight: true,
        prevArrow: '<i class="fa fa-chevron-left db-prev"></i>',
        nextArrow: '<i class="fa fa-chevron-right db-next"></i>'
    });

    // Box Carousel Items with dots only
    $('.has-dots').slick({
        dots: true,
        arrows: false,
        infinite: true,
        speed: 300,
        slidesToShow: 1,
        adaptiveHeight: false,
    });

    // Video
    $('.popup-youtube').magnificPopup({
        type: 'iframe'
    });
    $('.popup-vimeo').magnificPopup({
        type: 'iframe'
    });
    $('.popup-video').magnificPopup({
        type: 'iframe'
    });


    // Banner Slider Js
    $('.db-banner-fade, .db-banner-middle, .blog-trend-video ').slick({
        dots: true,
        arrows: false,
        infinite: true,
        speed: 500,
        fade: true,
        cssEase: 'linear'
    });

})(jQuery);
